Loading...
Searching...
No Matches
usermgmt::Role Interface Reference

Role management interface More...

## Classes

struct | Info
| Role information More...
struct | Privilege
| A granted privilege. More...

## Public Member Functions

Info | getInfo ()
| Retrieve role information.
int | updateFull (in Info info)
| Change role settings.

## Public Attributes

constant int | ERR_INVALID_VALUE = 1
| Invalid arguments.

## Detailed Description

Role management interface

Definition at line 15 of file Role.idl.

## Member Function Documentation

## getInfo()

Info usermgmt::Role::getInfo | ( |  | ) |

Retrieve role information.

Returns
  role info

## updateFull()

int usermgmt::Role::updateFull | ( | in Info | info | ) |

Change role settings.

Parameters

  info | New role information

Returns
  0 if OK
  1 if the role information is invalid

## Member Data Documentation

## ERR_INVALID_VALUE

constant int usermgmt::Role::ERR_INVALID_VALUE = 1

Invalid arguments.

Definition at line 17 of file Role.idl.

The documentation for this interface was generated from the following file:

- Role.idl